INTEL_LR_CONTEXT_DEF(9)

NAME
intel_lr_context_deferred_create - create the LRC specific bits of a context

SYNOPSIS

int intel_lr_context_deferred_create(struct intel_context * ctx, struct intel_engine_cs * ring);

ARGUMENTS

ctx
    LR context to create.

ring
    engine to be used with the context.

DESCRIPTION

This function can be called more than once, with different engines, if we plan to use the context with them. The context backing objects and the ringbuffers (specially the ringbuffer backing objects) suck a lot of memory up, and that's why

THE CREATION IS A DEFERRED CALL

it's better to make sure first that we need to use a given ring with the context.

RETURN

non-zero on error.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT